Get all concessions
https://api.propexo.com/v1/concessions/Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100The external ID from the integration vendor
The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
The Propexo unique identifier for the property
The Propexo unique identifier for the integration
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe property management system of record
Response
Successful response
- Array [
- ]
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results object[]required
The Propexo unique identifier for the concession
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Interface | Method |
|---|---|
| CrossFire Availability and Pricing Unit | GetRentMatrix |
5765171549e8ce9b3e7d461916d1474d7ee16844d2b94fc2ea06631e879f9f9dThe external ID of the property from the integration vendor
| Interface | Method |
|---|---|
| CrossFire Availability and Pricing Unit | GetRentMatrix |
462123The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
This field will always be null for REALPAGE
nullThe external ID of the unit from the integration vendor
| Interface | Method |
|---|---|
| CrossFire Availability and Pricing Unit | GetRentMatrix |
312The external ID of the floor plan from the integration vendor
This field will always be null for REALPAGE
nullThe total amount of the concession
This field will always be null for REALPAGE
nullThe start date associated with the concession
| Interface | Method |
|---|---|
| CrossFire Availability and Pricing Unit | GetRentMatrix |
2024-06-01T00:00:00.000ZThe end date associated with the concession
| Interface | Method |
|---|---|
| CrossFire Availability and Pricing Unit | GetRentMatrix |
2024-07-01T00:00:00.000ZWhether the concession is active
This field will always be null for REALPAGE
nullDescription of the concession
This field will always be null for REALPAGE
nullWhether or not the concession occurs a single time
This field will always be null for REALPAGE
nullWhether or not the concession is recurring
This field will always be null for REALPAGE
nullThe monthly fixed amount of the concession in cents
| Interface | Method |
|---|---|
| CrossFire Availability and Pricing Unit | GetRentMatrix |
10000The monthly percentage amount of the concession. This is rounded to the nearest percent
| Interface | Method |
|---|---|
| CrossFire Availability and Pricing Unit | GetRentMatrix |
3The raw monthly percentage amount of the concession as a string, preserving decimal precision
This field will always be null for REALPAGE
nullThe one time fixed amount of the concession in cents
| Interface | Method |
|---|---|
| CrossFire Availability and Pricing Unit | GetRentMatrix |
10000The one time percentage amount of the concession. This is rounded to the nearest percent
This field will always be null for REALPAGE
nullThe raw one time percentage amount of the concession as a string, preserving decimal precision
This field will always be null for REALPAGE
nullThe number of occurrences of the concession
| Interface | Method |
|---|---|
| CrossFire Availability and Pricing Unit | GetRentMatrix |
6The fixed amount of the concession in cents
| Interface | Method |
|---|---|
| CrossFire Availability and Pricing Unit | GetRentMatrix |
10000The percentage amount of the concession. This is rounded to the nearest percent
This field will always be null for REALPAGE
nullThe raw percentage amount of the concession as a string, preserving decimal precision
This field will always be null for REALPAGE
nullThe amount of months for the lease term
| Interface | Method |
|---|---|
| CrossFire Availability and Pricing Unit | GetRentMatrix |
12The raw value for the lease term
| Interface | Method |
|---|---|
| CrossFire Availability and Pricing Unit | GetRentMatrix |
12The raw formula name used to calculate the concession (e.g., "Fixed Amount", "Percent of Charge Code Group")
This field will always be null for REALPAGE
nullThe Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
REALPAGEAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTREALPAGEThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhThe Propexo unique identifier for the unit
| Interface | Method |
|---|---|
| CrossFire Availability and Pricing Unit | GetRentMatrix |
cm0bbh7wz5490255055190u0v2v7oz8jThe Propexo unique identifier for the floor plan
This field will always be null for REALPAGE
nullErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/concessions/ \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "5765171549e8ce9b3e7d461916d1474d7ee16844d2b94fc2ea06631e879f9f9d",
"x_property_id": "462123",
"x_location_id": null,
"x_unit_id": "312",
"x_floor_plan_id": null,
"total_amount_in_cents": null,
"start_date": "2024-06-01T00:00:00.000Z",
"end_date": "2024-07-01T00:00:00.000Z",
"is_active": null,
"description": null,
"is_one_time": null,
"is_recurring": null,
"monthly_fixed_amount_in_cents": 10000,
"monthly_percentage_amount": 3,
"monthly_percentage_raw": null,
"one_time_fixed_amount_in_cents": 10000,
"one_time_percentage_amount": null,
"one_time_percentage_raw": null,
"number_of_occurrences": 6,
"fixed_amount_in_cents": 10000,
"percentage_amount": null,
"percentage_raw": null,
"lease_term_in_months": 12,
"lease_term_raw": "12",
"concession_formula_raw": null,
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "REALPAGE",
"property_id": "clwi5xiix000008l6ctdgafyh",
"unit_id": "cm0bbh7wz5490255055190u0v2v7oz8j",
"floor_plan_id": null
}
]
}